import { csv, select } from 'd3';
import { viz } from './viz';

const width = window.innerWidth;
const height = window.innerHeight;

const svg = select('body')
  .selectAll('.viz')
  .data([null])
  .join('svg')
  .attr('class', 'viz')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  viz(svg, {
    width,
    height,
    data: await csv('co2_mm_mlo.csv', (d) => {
      d.interpolated = +d.interpolated;
      d.average = +d.average;
      d['decimal date'] = +d['decimal date'];
      return d;
    }),
    margin: { top: 20, right: 20, bottom: 50, left: 60 },
    xValue: (d) => d['decimal date'],
    yValue: (d) => d.average,
    y2Value: (d) => d.interpolated,
  });
};
main();
